summaryrefslogtreecommitdiffstats
path: root/local/.bin/reply
diff options
context:
space:
mode:
Diffstat (limited to 'local/.bin/reply')
-rwxr-xr-xlocal/.bin/reply10
1 files changed, 10 insertions, 0 deletions
diff --git a/local/.bin/reply b/local/.bin/reply
new file mode 100755
index 0000000..250a93b
--- /dev/null
+++ b/local/.bin/reply
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -eu
+
+podman images | grep -q localhost/reply || cat <<EOF | podman build -t reply -f -
+FROM docker.io/debian:stable-slim
+RUN sed -i 's/stable\/updates/stable-security\/updates/' /etc/apt/sources.list
+RUN apt-get update && apt-get install -y --no-install-recommends cpanminus make gcc libreadline-dev
+RUN cpanm -n Reply B::Keywords Data::Dump Carp::Always Term::ReadLine::Gnu
+EOF
+podman run --rm -itv /home/doy/.replyrc:/root/.replyrc reply reply "$@"